using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Forks.EnterpriseServices;
using Forks.EnterpriseServices.DomainObjects2;

namespace Distribution.LocalBo
{
  [Serializable]
  [KeyField("ID", KeyGenType.identity)]//自增标识
  [MapToTable("SaleOutStore")]
  public class SaleOutStore
  {
    //自增ID
    public long ID { get; set; }

    [LogicName("出库单号")]
    public long SaleOutStore_ID { get; set; }

    [LogicName("购货客户")]
    public string Customer_Name { get; set; }

    [LogicName("送货地址")]
    [DbColumn(Length = 100)]
    public string DeliverAddress { get; set; }

    [LogicName("仓库")]
    public string Store_Name { get; set; }


    [LogicName("运输车辆")]
    public string Car { get; set; }

    [LogicName("发货时间")]
    public DateTime? LoadTime { get; set; }

    [LogicName("单据状态")]
    public string BillState { get; set; }


    [LogicName("销售出库明细ID")]
    public long SaleOutStoreDetail_ID { get; set; }


    [LogicName("存货编码")]
    public string Goods_Code { get; set; }

    [LogicName("存货")]
    public string Goods_Name { get; set; }

    [LogicName("主数量")]
    public decimal? Number { get; set; }

    [LogicName("辅数量")]
    public decimal? SecondNumber { get; set; }

    [LogicName("报价单位")]
    public string Unit { get; set; }

    [LogicName("报价数量")]
    public decimal? UnitNum { get; set; }

    [LogicName("主单位比率")]
    [DbColumn(DefaultValue = 1)]
    public decimal LeftRatio { get; set; }

    [LogicName("辅单位比率")]
    [DbColumn(DefaultValue = 1)]
    public decimal RightRatio { get; set; }

    [LogicName("主单位")]
    public string Goods_MainUnit { get; set; }

    [LogicName("辅单位")]
    public string Goods_SecondUnit { get; set; }

    [LogicName("主辅转换方向")]
    public string Goods_UnitConvertDirection { get; set; }

    [LogicName("主辅换算主单位比例")]
    public decimal? Goods_MainUnitRatio { get; set; }

    [LogicName("主辅换算辅单位比例")]
    public decimal? Goods_SecondUnitRatio { get; set; }

  }
}
